Foreman - Bug #13599

Proxy exception messages are truncated
02/08/2016 07:57 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Smart Proxy
Target version: 1.17.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: 1418305 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4804
Description

all proxy exceptions that uses the wrapped exception hide important information, and do not even log to the log file the full message.

looking at the code, | can't really see any usefulness to the WrappedException class? maybe it should be removed?

Associated revisions

Revision eda35acd - 09/05/2017 11:33 AM - Shimon Shtein

Fixes #13599 - Wrapped exception truncate moved to client
Removed message truncation from server side, and moved it to client
side - the message is truncated with ellipsis. On mouse over full
message is presented as popover.

This commit required a small change to “data-ajax-url" handler in client
to enable proper tooltip presentation in HTML loaded by AJAX.

History

#1 - 02/08/2016 08:01 AM - Dominic Cleal
- Subject changed from proxy exceptions are not shown to Proxy exception messages are truncated

- Category set to Smart Proxy

#2 - 02/09/2016 02:25 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3165 added

#3 - 08/25/2016 03:13 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Shlomi Zadok)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3165)

Pull request closed due to inactivity.

#4 - 09/03/2017 03:32 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/4804 added

#5 - 09/03/2017 04:58 AM - Shimon Shtein
- Bugzilla link set to 1418305
#6 - 09/05/2017 11:33 AM - lvan Necas
- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 296
